%define upstream_name    Algorithm-Diff
%define upstream_version 1.201

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Compute 'intelligent' differences between two files / lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module compute `intelligent' differences between two files / lists.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Tue Dec 15 2020 tv <tv> 1:1.201.0-1.mga8
+ Revision: 1657556
- update to 1.201

* Tue Sep 29 2020 tv <tv> 1:1.200.0-1.mga8
+ Revision: 1631016
- update to 1.200

* Wed Feb 12 2020 umeabot <umeabot> 1:1.190.300-6.mga8
+ Revision: 1503417
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:1.190.300-5.mga7
+ Revision: 1281552
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1:1.190.300-4.mga7
+ Revision: 1162775
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1:1.190.300-3.mga6
+ Revision: 1022255
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.190.300-2.mga6
+ Revision: 968089
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:1.190.300-1.mga6
+ Revision: 851221
- update to 1.1903

* Wed Oct 15 2014 umeabot <umeabot> 1:1.190.200-8.mga5
+ Revision: 743103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.190.200-7.mga5
+ Revision: 683444
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.190.200-6.mga4
+ Revision: 509038
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.190.200-5.mga3
+ Revision: 362849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 spuhler <spuhler> 1:1.190.200-4.mga3
+ Revision: 334441
- rebuilt for mga 3
  cleaned spec file

* Sat Feb 26 2011 jquelin <jquelin> 1:1.190.200-3.mga1
+ Revision: 60385
- rebuild for perl 5.12.3

* Tue Jan 18 2011 jquelin <jquelin> 1:1.190.200-2.mga1
+ Revision: 22006
- clean spec file
- imported package perl-Algorithm-Diff

